MediaWiki:Common.css

From Honkai: Nexus Anima Wiki
Revision as of 16:20, 14 July 2026 by Kuhlau (talk | contribs)
Jump to navigation Jump to search

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* CSS placed here will be applied to all skins */
@import url("/index.php?title=MediaWiki:Mbox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:FD_Mbox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Infobox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Quotes.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Navbox.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Font.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Item.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Colors.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Gallery.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:CustomTabs.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Tables.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:EditorDashboard.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Documentation.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Dialogue.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Tooltip.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:StaffColors.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Attributes.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:ChangeHistory.css&action=raw&ctype=text/css&cb=3");
@import url("/index.php?title=MediaWiki:Edios Infobox.css&action=raw&ctype=text/css&cb=3");

/* Import Font */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');

:root {
	--theme-page-headings-font: 'Quicksand';
}

/* [[Template:Description]] styles */
div.description-wrapper {
	border: 1px solid var(--border-color);
	overflow: hidden;
	border-radius: 8px;
	background: #bf8c4015;
}
div.description-content {
	font-size: 15px;
	text-align: left;
	overflow: auto;
	line-height: 1.35em;
	padding: 12px 12px 12px 12px;
}
div.description-source {
	font-size: 15px;
	overflow: auto;
	padding: 5px 12px;
}
hr.description-separator {
	width: 97.5%;
	margin: auto;
}
div.description-title {
	font-size: 15px;
	text-align: left;
	overflow: auto;
	padding: 10px 12px 6px;
}

/* For [[Module:Formatting]] */
.custom-formatting-code {
	display: inline-block;
	line-height: 21px;
}
.custom-formatting-code.code-block-table { display: table; }
span.variable { opacity: 0.65; }
span.variable::after {
	opacity: 0.65;
	content: ">";
}
span.variable::before {
	opacity: 0.65;
	content: "<";
}
.custom-formatting-nested { display: none; }
.custom-formatting-resulting { display: inline; }
.custom-formatting-code .custom-formatting-nested { display: inline-block; }
.custom-formatting-code .custom-formatting-resulting { display: none; }
/* End for [[Module:Formatting]] */




/* Styling for [[Template:tt]] */
.text-tooltip {
	cursor: help;    
}

.text-tooltip:not(.no-underline) {
	border-bottom-color: rgb(128, 128, 128);
	border-bottom-width: 1px;
	border-bottom-style: dotted;
}